Package javax.servlet.http

# Interface HttpSessionContext

@Deprecated public interface HttpSessionContext
Deprecated.
As of Java(tm) Servlet API 2.1 for security reasons, with no replacement. This interface will be removed in a future version of this API.
Do not use.

See Also:
  - `HttpSession`
  - `HttpSessionBindingEvent`
  - `HttpSessionBindingListener`

## Method Summary

Modifier and Type
Method
Description
`Enumeration<String>`
`getIds()`
Deprecated.
As of Java Servlet API 2.1 with no replacement.
`HttpSession`
`getSession(String sessionId)`
Deprecated.
As of Java Servlet API 2.1 with no replacement.

## Method Details

### getSession

@Deprecated HttpSession getSession(String sessionId)
Deprecated.
As of Java Servlet API 2.1 with no replacement. This method must return null and will be removed in a future version of this API.
Do not use.

Parameters:
  `sessionId` - Ignored
Returns:
  Always `null`

### getIds

@Deprecated Enumeration<String> getIds()
Deprecated.
As of Java Servlet API 2.1 with no replacement. This method must return an empty `Enumeration` and will be removed in a future version of this API.
Do not use.

Returns:
  Always an empty Enumeration